# Clarity Core – Simple Web Dev Environment

This environment was carried over from the [Clarity Core starter kit](https://github.com/coryrylan/clarity-addon-kit) to provide a simple, lightweight dev environment for those working Clarity Core components. This dev environment is boot-strapped with [open-wc](https://open-wc.org/) using `npm init @open-wc` and pre-installed with Clarity Core.

## Getting Started

To run the project, install the dependencies by running `yarn`.
Once installed, start the local project by running `yarn run start`.

## Commands

- `start`: runs local dev build and server in watch mode.
- `clean`: cleans any prior build artifacts.
- `build`: builds library into dist directory for publication.
- `test`: runs unit tests
- `test:watch`: runs unit tests in a watch mode
- `lint`: runs code linting
- `format`: runs code formatting (prettier)

## Additional Resources

- [Intro to Web Components](https://coryrylan.com/blog/state-of-web-components-in-2020)

- [Get started with Lit](https://lit.dev)

- [Web Component Authoring best practices](https://open-wc.org/)

- [Web Component Performance best practices](https://medium.com/claritydesignsystem/design-system-performance-with-clarity-core-web-components-fbab56516f30).

- [Clarity Core Internal Library Architecture](https://clarity.design/storybook/core/?path=/story/internal-documentation-getting-started--page)
