---
title: Overview
toc: true
---

::: component-summary

The file input uses the native <a href="https://developer.mozilla.org/en-US/docs/Web/HTML/Element/input/file" target="_blank">HTML File Input</a>.

:::

::: component-section-level-one-title

## Usage

:::

:::component-section-level-one

Use a file input field when the user needs to choose one or more files from their device storage.

:::

::: component-section-level-one-title

## States

:::

<div class="component-section-horizontal">

::: component-section-level-two-title

<div>
!!!include(.vuepress/code/core-usage-demos/file/enabled.html)!!!
</div>

:::

::: component-section-level-two

### Enabled

Use when interactive. The helper message can be used to specify the supported file formats or maximun size.

:::

</div>

<div class="component-section-horizontal">

::: component-section-level-two-title

<div>
!!!include(.vuepress/code/core-usage-demos/file/disabled.html)!!!
</div>

:::

::: component-section-level-two

### Disabled

Use when not interactive. For example, when a user does not have permissions to upload files.

:::

</div>

<div class="component-section-horizontal">

::: component-section-level-two-title

<div>
!!!include(.vuepress/code/core-usage-demos/file/error.html)!!!
</div>

:::

::: component-section-level-two

### Error

Use when one or more files have been selected.

:::

</div>

<div class="component-section-horizontal">

::: component-section-level-two-title

<div>
!!!include(.vuepress/code/core-usage-demos/file/success.html)!!!
</div>

:::

::: component-section-level-two

### Success

Use when one or more files have been selected.

:::

</div>

::: component-section-level-one-title

## Layouts

:::

::: component-section-level-one

File inputs are available in vertical, horizontal, and compact layout. See more layout guidelines on the [form page](/core-components/form/).

:::

<div class="component-section-horizontal">

::: component-section-level-two-title

### Vertical

:::

::: component-section-level-two

<div>
!!!include(.vuepress/code/core-usage-demos/file/vertical.html)!!!
</div>

:::

</div>

<div class="component-section-horizontal">

::: component-section-level-two-title

### Horizontal

:::

::: component-section-level-two

<div>
!!!include(.vuepress/code/core-usage-demos/file/horizontal.html)!!!
</div>

:::

</div>

<div class="component-section-horizontal">

::: component-section-level-two-title

### Compact

:::

::: component-section-level-two

<div>
!!!include(.vuepress/code/core-usage-demos/file/compact.html)!!!
</div>

:::

</div>
