---
title: Color
toc: true
---

<DocAlert :actionPop="true" status="warning" path="/storybook/core/?path=/story/foundation-color--page">This content is for the <b>@clr/angular</b> package. Color information for the <b>@cds/core</b> package can be found in storybook.</DocAlert>

The Clarity color palette is a full spectrum of bold hues and neutrals to meet all your design needs.

## The Clarity Color Palette

The Clarity color palette is aligned with color use in web applications and support for accessibility. The colors below constitute the expanded color palette for Clarity. Text colors displayed in light or dark tints represent Clarity's recommended accessible pairing with the color.

### Base, Primary and Secondary Colors

The bulleted color swatches indicate colors that are part of the Clarity base color palette. You will find these colors in use throughout Clarity's components and design recommendations.

The large color swatches represent Clarity primary colors, recommended for use as the main color for your design. The remaining colors are considered secondary. They may be used for charts, graphs, illustrations and other areas that call for color accent.

<ClrColorsPalette></ClrColorsPalette>

## Functional Colors

Clarity components use a set of colors to convey certain functions and meanings. These colors have been vetted and tested to meet the accessibility standard for low vision.

### Light Theme Functional Colors

<ClrColorsFunctional></ClrColorsFunctional>

### Dark Theme Functional Colors

<ClrColorsFunctional colorMode="dark"></ClrColorsFunctional>

## Color Usage

### Base Colors

Colors used in Clarity's components and design recommendations.

- Neutral colors are for text and backgrounds.
- Action colors are for clickable items, such as buttons and links. Action Blue is reserved for buttons and links.
- Stoplight colors are for indicating error conditions, warnings, and successes. Significant colors include: Stoplight Green for positive actions; Stoplight Red for warnings and errors.

### Choosing Colors

#### Text Contrast

Each color swatch in the palette is labeled with a black or white letter A to indicate its accessibility on the background color. Other text colors should be tested for contrast using an online contrast checker to make sure it passes the WCAG AA requirement for accessibility.

#### Charting Colors

The large secondary palette allows for distinguishable markers in charts and graphs. With charts, it’s important to choose colors that have clear contrast for easy readability. The more colors that are used, the harder it is to distinguish each marker. For this reason, we recommend a maximum of six colors per chart.

#### Colorblind Accessibility

It’s a good idea to test the color scheme you plan to use with a colorblind simulation app, such as Color Oracle. Alternatively, Adobe Photoshop and Illustrator come with a colorblind proofing view. You can use the simulation to adjust your color combinations to be accessible. In the example below, the image on right simulates how a person with colorblindness (Deuteranopia) would see the image on the left.
